| GENRANDOM(3) | GENRANDOM(3)
| NAME
| genrandom, prng – random number generation
SYNOPSIS
| `#include <u.h> #include <libc.h> #include <mp.h> #include <libsec.h>
` `void genrandom(uchar *buf, int nbytes)
` `void prng(uchar *buf, int nbytes)`
DESCRIPTION
| Most security software requires a source of random or, at the very least, unguessable numbers.
Genrandom fills a buffer with bytes from the X9.17 pseudo-random number generator. The X9.17 generator is seeded by 24 truly random bytes read via truerand (see rand(3)).
Prng uses the native rand(3) pseudo-random number generator to fill the buffer. Used with srand, this function can produce a reproducible stream of pseudo random numbers useful in testing.
Both functions may be passed to mprand (see mp(3)).
SOURCE
| `/build/plan9port/pkg/plan9port/usr/local/plan9port/src/libsec`
SEE ALSO
| mp(3)